/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Fournisseur;

import javafx.beans.property.SimpleStringProperty;

public class FournisseurContactList {
    
    private final SimpleStringProperty Code;
    private final SimpleStringProperty Nom;
    private final SimpleStringProperty Prenom;
    private final SimpleStringProperty Tele1;
    private final SimpleStringProperty Tele2;
    private final SimpleStringProperty Mail;
    
    
    public FournisseurContactList(String Code, String Nom, String Prenom, String Tele1,String Tele2, String Mail) {
        this.Code = new SimpleStringProperty(Code);
        this.Nom = new SimpleStringProperty(Nom);
        this.Prenom = new SimpleStringProperty(Prenom);
        this.Tele1 = new SimpleStringProperty(Tele1);
        this.Tele2 = new SimpleStringProperty(Tele2);
        this.Mail = new SimpleStringProperty(Mail);
    }
    
    public String getCode() {
        return Code.get();
    }
    
    public String getNom() {
        return Nom.get();
    }
    
    
    public String getPrenom() {
        return Prenom.get();
    }
    
    
    public String getTele1() {
        return Tele1.get();
    }
    
    public void SetTele1(String tele1) {
        this.Tele1.set(tele1);
    }
    
    public String getTele2() {
        return Tele2.get();
    }
    
    public void SetTele2(String tele2) {
        this.Tele2.set(tele2);
    }
    
    
    public String getMail() {
        return Mail.get();
    }
    
    
    public void SetMail(String mail) {
        this.Mail.set(mail);
    }
    
    
}
